Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.net
Class ClientConnection

    java.lang.Object
      de.grogra.persistence.PersistenceConnection
          de.grogra.imp.net.ClientConnection

All Implemented Interfaces:
  MessageHandler

    public class ClientConnection

extends PersistenceConnection
implements MessageHandler

Constructor Summary
`ClientConnection(PersistenceBindings bindings, Connection connection)`

Method Summary
`void` | `commit(Transaction.Data xa, long stamp)`
`void` | `deregisterManager(PersistenceManager manager)`
`java.lang.String` | `getName()`
`boolean` | `handleMessage(Connection cx, long messageId, java.lang.String message, boolean checkAvailability)`
`void` | `initialize(PersistenceManager manager)`
`short` | `registerManager(PersistenceManager manager, java.lang.String key)`

Methods inherited from class de.grogra.persistence.PersistenceConnection
`getBindings, getLocalCache, initializeCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConnection

    public ClientConnection(PersistenceBindings bindings,
                            Connection connection)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### commit

    public void commit(Transaction.Data xa,
                       long stamp)

  Specified by:
    `commit` in class `PersistenceConnection`

### deregisterManager

    public void deregisterManager(PersistenceManager manager)

  Specified by:
    `deregisterManager` in class `PersistenceConnection`

### getName

    public java.lang.String getName()

### handleMessage

    public boolean handleMessage(Connection cx,
                                 long messageId,
                                 java.lang.String message,
                                 boolean checkAvailability)
                          throws java.io.IOException

  Specified by:
    `handleMessage` in interface `MessageHandler`
  Throws:
    `java.io.IOException`

### initialize

    public void initialize(PersistenceManager manager)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### registerManager

    public short registerManager(PersistenceManager manager,
                                 java.lang.String key)

  Specified by:
    `registerManager` in class `PersistenceConnection`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD